import styles from "./pageHeader.module.scss";

export const PageHeader = ({
  heading,
  lead,
}: {
  heading: string;
  lead?: string;
}) => {
  return (
    <div className={styles.pageHeader}>
      <h1 className={styles.title}>{heading}</h1>
      <p className="lead">{lead}</p>
    </div>
  );
};
