import { graphql } from "@/gql";
//import { NewsFragment } from "@/gql/graphql";
import { getClient } from "@/app/client";
import { NewsList } from "@/components/news/NewsList";
import Link from "next/link";
import { PageHeader } from "@/components/general/PageHeader";

export default async function Page() {
  return (
    <main className="site-main" id="main">
      <PageHeader heading="Siste nytt" />
      <NewsList />
    </main>
  );
}
