import styles from "./dateList.module.scss";

export const DateList = () => {
  return (
    <div className={styles.dateWrapper}>
      <h2 className="suphead">Kommende datoer</h2>
      <ul className={styles.dateList}>
        <li className={styles.date}>
          <div className={styles.time}>
            <span>27/05/2024</span>&nbsp;
            <span>18.00</span>
          </div>
          <div className={styles.venue}>
            <span>Storsalen</span>
          </div>
        </li>
        <li className={styles.date}>
          <div className={styles.time}>
            <span>Mandag 27. mai 2024</span>&nbsp;
            <span>kl. 18.00</span>
            <div className={styles.venue}>
              <span>i Storsalen</span>
            </div>
          </div>
        </li>
        <li className={styles.date}>
          <div className={styles.time}>
            <span>27. mai 2024</span>&nbsp;
            <span>kl. 18.00</span>
          </div>
          <div className={styles.venue}>
            <span>Storsalen</span>
          </div>
        </li>
        <li className={styles.date}>
          <div className={styles.venue}>
            <span>Storsalen</span>
          </div>
          <div className={styles.time}>
            <span>27.05.2024</span>&nbsp;
            <span>18.00</span>
          </div>
        </li>
      </ul>
    </div>
  );
};
