import styles from "./personItem.module.scss";

export const PersonItem = () => {
  return (
    <li className={styles.personItem}>
      <div className={styles.image}></div>
      <div className={styles.text}>
        <h1 className={styles.name}>Ellisiv Sunde Myrva</h1>
        <p className={styles.role}>Kommunikasjonssjef</p>
        <ul className={styles.contact}>
          <li>
            <span className={styles.icon}>&#9993;&nbsp;</span>
            <a href="mailto:ellisiv@neuf.no" target="_blank">
              ellisiv@neuf.no
            </a>
          </li>
          <li>
            <span className={styles.icon}>&#9742;&nbsp;</span>
            <a href="tel:94 47 34 04" target="_blank">
              94 47 34 04
            </a>
          </li>
        </ul>
      </div>
    </li>
  );
};
